## ros-kdl-parser 1.13.1

=== kdl_parser/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(kdl_parser)

find_package(Boost REQUIRED)
include_directories(${Boost_INCLUDE_DIR})

find_package(catkin REQUIRED
  COMPONENTS rosconsole urdf cmake_modules
)
find_package(orocos_kdl REQUIRED)
find_package(TinyXML REQUIRED)
find_package(TinyXML2 REQUIRED)

include_directories(include ${orocos_kdl_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${TinyXML2_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

add_compile_options(-std=c++11)

catkin_package(
  LIBRARIES ${PROJECT_NAME} ${orocos_kdl_LIBRARIES}
  INCLUDE_DIRS include
  CATKIN_DEPENDS rosconsole urdf
  DEPENDS orocos_kdl TinyXML TinyXML2
)

add_library(${PROJECT_NAME} src/kdl_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${TinyXML_LIBRARIES} ${TinyXML2_LIBRARIES} ${orocos_kdl_LIBRARIES} ${catkin_LIBRARIES}
)

if(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE "KDL_PARSER_BUILDING_DLL")
endif()

add_executable(check_kdl_parser src/check_kdl_parser.cpp )
target_link_libraries(check_kdl_parser ${PROJECT_NAME})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roscpp rostest)
  add_rostest_gtest(test_kdl_parser test/test_kdl_parser.launch test/test_kdl_parser.cpp )
  target_link_libraries(test_kdl_parser ${PROJECT_NAME})

  add_rostest_gtest(test_inertia_rpy test/test_inertia_rpy.launch test/test_inertia_rpy.cpp )
  target_link_libraries(test_inertia_rpy ${PROJECT_NAME})
endif()

# How does CATKIN do this?
#rosbuild_add_rostest(${PROJECT_SOURCE_DIR}/test/test_kdl_parser.launch)
install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== kdl_parser_py/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(kdl_parser_py)

find_package(catkin REQUIRED)

catkin_package(
  CATKIN_DEPENDS urdfdom_py
)

catkin_python_setup()

catkin_install_python(PROGRAMS ${PROJECT_NAME}/urdf.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/test_kdl_parser.launch)
endif()

=== debian/changelog ===
ros-kdl-parser (1.13.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:32 +0100

ros-kdl-parser (1.13.1-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938383)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 16:41:22 +0200

ros-kdl-parser (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 10:20:56 +0100

ros-kdl-parser (1.13.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #903650)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 15 Jul 2018 11:13:49 +0200

=== debian/control ===
Source: ros-kdl-parser
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/kdl_parser
Vcs-Browser: https://salsa.debian.org/science-team/ros-kdl-parser
Vcs-Git: https://salsa.debian.org/science-team/ros-kdl-parser.git

Package: libkdl-parser-dev
Section: libdevel
Architecture: any
Depends: libkdl-parser1d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev (>= 1.13.0), ros-cmake-modules, liborocos-kdl-dev, libtinyxml2-dev
Description: Development files for ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the development files for the library.

Package: libkdl-parser1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh $@ --buildsystem=cmake

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation kdl_parser kdl_parser/kdl_parser.hpp
Restrictions: allow-stderr
Depends: libkdl-parser-dev, g++, catkin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros/kdl_parser/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-kdl-parser 1.14.0

=== debian/changelog ===
ros-kdl-parser (1.14.0-2) unstable; urgency=medium

  * Limit d/watch to ROS1

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Jul 2020 08:13:31 +0200

ros-kdl-parser (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 08:16:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ros-kdl-parser
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
+Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/kdl_parser

## ros-kdl-parser 1.14.1

=== kdl_parser/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)

project(kdl_parser)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(catkin QUIET
  COMPONENTS rosconsole cmake_modules
)

if(NOT catkin_FOUND)
  # use local copies of FindTinyXML.cmake and FindTinyXML2.cmake from
  # 'cmake_modules' (https://github.com/ros/cmake_modules)
  list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake)
endif()

find_package(urdfdom REQUIRED)
include_directories(${urdfdom_INCLUDE_DIRS})

find_package(orocos_kdl REQUIRED)
find_package(TinyXML REQUIRED)
find_package(TinyXML2 REQUIRED)

# check for rosconsole
# We check additionally for catkin to distinguish between an "official" ROS distribution
# and the one provided in the distribution's repository.
find_package(rosconsole QUIET)
if(rosconsole_FOUND AND catkin_FOUND)
  add_definitions(-DHAS_ROS)
endif()

find_package(urdf QUIET)
if(urdf_FOUND)
  add_definitions(-DHAS_URDF)
  include_directories(${urdf_INCLUDE_DIRS})
endif()

include_directories(include ${orocos_kdl_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${TinyXML2_INCLUDE_DIRS})

if(catkin_FOUND)
  link_directories(${catkin_LIBRARY_DIRS})
  include_directories(${catkin_INCLUDE_DIRS})

  catkin_package(
    LIBRARIES ${PROJECT_NAME} ${orocos_kdl_LIBRARIES}
    INCLUDE_DIRS include
    CATKIN_DEPENDS rosconsole urdf
    DEPENDS orocos_kdl TinyXML TinyXML2
  )
endif()

add_library(${PROJECT_NAME} SHARED src/kdl_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${TinyXML_LIBRARIES} ${TinyXML2_LIBRARIES} ${orocos_kdl_LIBRARIES}
)

target_link_libraries(${PROJECT_NAME} ${urdfdom_LIBRARIES})

if(catkin_FOUND)
  target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
endif()

if(urdf_FOUND)
  target_link_libraries(${PROJECT_NAME} ${urdf_LIBRARIES})
endif()

if(WIN32)
  target_compile_definitions(${PROJECT_NAME} PRIVATE "KDL_PARSER_BUILDING_DLL")
endif()

add_executable(check_kdl_parser src/check_kdl_parser.cpp )
target_link_libraries(check_kdl_parser ${PROJECT_NAME})

if(catkin_FOUND AND CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roscpp rostest)
  add_rostest_gtest(test_kdl_parser test/test_kdl_parser.launch test/test_kdl_parser.cpp )
  target_link_libraries(test_kdl_parser ${PROJECT_NAME})

  add_rostest_gtest(test_inertia_rpy test/test_inertia_rpy.launch test/test_inertia_rpy.cpp )
  target_link_libraries(test_inertia_rpy ${PROJECT_NAME})
endif()

if(catkin_FOUND)
  # How does CATKIN do this?
  #rosbuild_add_rostest(${PROJECT_SOURCE_DIR}/test/test_kdl_parser.launch)
  
  # Install library
  install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

  install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
else()
  install(TARGETS ${PROJECT_NAME}
          LIBRARY DESTINATION lib
          ARCHIVE DESTINATION lib)
  install(DIRECTORY include/${PROJECT_NAME}/
          DESTINATION include)
endif()

=== kdl_parser_py/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 
 project(kdl_parser_py)

=== debian/changelog ===
ros-kdl-parser (1.14.1-7) unstable; urgency=medium

  * Added patch for logcxx

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 12:16:29 +0100

ros-kdl-parser (1.14.1-6) unstable; urgency=medium

  * Fix tests on amd64

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 09:12:08 +0200

ros-kdl-parser (1.14.1-5) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 08:43:31 +0200

ros-kdl-parser (1.14.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:10 +0200

ros-kdl-parser (1.14.1-3) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 23:53:02 +0200

ros-kdl-parser (1.14.1-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:47:09 +0100

ros-kdl-parser (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Aug 2020 11:36:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/kdl_parser
@@ -14,6 +14,7 @@
 Package: libkdl-parser-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libkdl-parser1d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev (>= 1.13.0), ros-cmake-modules, liborocos-kdl-dev, libtinyxml2-dev
 Description: Development files for ROS kdl_parser library
  The Kinematics and Dynamics Library (KDL) defines a tree structure to

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros/kdl_parser/tags \
    (?:.*?/)?v?(1\.\d[\d.]*)\.tar\.gz

## ros-kdl-parser 1.14.2

=== debian/changelog ===
ros-kdl-parser (1.14.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Update d/watch to latest GitHub recipe
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 10 Oct 2024 18:43:47 +0200

ros-kdl-parser (1.14.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Jochen Sprickerhof ]
  * Drop nose dependency (Closes: #1018630)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:48:22 +0200

ros-kdl-parser (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Apr 2022 08:44:54 +0200

=== debian/control ===
Source: ros-kdl-parser
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 libgtest-dev,
 liborocos-kdl-dev,
 librosconsole-dev,
 librostest-dev,
 libtinyxml2-dev,
 liburdf-dev,
 python3-all,
 python3-rostest <!nocheck>,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/kdl_parser
Vcs-Browser: https://salsa.debian.org/science-team/ros-kdl-parser
Vcs-Git: https://salsa.debian.org/science-team/ros-kdl-parser.git

Package: libkdl-parser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libkdl-parser1d (= ${binary:Version}),
 liborocos-kdl-dev,
 librosconsole-dev,
 libroscpp-dev,
 libtinyxml2-dev,
 liburdf-dev,
 ros-cmake-modules,
 ${misc:Depends},
Description: Development files for ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the development files for the library.

Package: libkdl-parser1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_SKIP_PACKAGES = kdl_parser_py

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation kdl_parser kdl_parser/kdl_parser.hpp
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libkdl-parser-dev,

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ros/kdl_parser/git/matching-refs/tags/1 \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
